KDirSize class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDirSize Class Reference

Computes a directory size (similar to "du", but doesn't give the same results since we simply sum up the dir and file sizes, whereas du speaks disk blocks). More...

`#include <kdirsize.h>`

Inheritance diagram for KDirSize:

[legend]
Collaboration diagram for KDirSize:

[legend]
List of all members.

## Public Member Functions
KIO::filesize_t | totalSize () const
## Static Public Member Functions
KDirSize * | dirSizeJob (const KURL &directory)
| Asynchronous method.
KDirSize * | dirSizeJob (const KFileItemList &lstItems)
| Asynchronous method.
KIO::filesize_t | dirSize (const KURL &directory)
| Synchronous method - you get the result as soon as the call returns.
## Protected Slots
virtual void | slotResult (KIO::Job *job)
| Called whenever a subjob finishes.
void | slotEntries (KIO::Job *, const KIO::UDSEntryList &)
void | processList ()
## Protected Member Functions
| KDirSize (const KURL &directory)
| KDirSize (const KFileItemList &lstItems)
void | setSync ()
void | startNextJob (const KURL &url)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Computes a directory size (similar to "du", but doesn't give the same results since we simply sum up the dir and file sizes, whereas du speaks disk blocks).

Definition at line 30 of file kdirsize.h.

## Member Function Documentation

KIO::filesize_t KDirSize::totalSize | ( |  | ) | const`[inline]`

| Returns: the size we found Definition at line 42 of file kdirsize.h. Referenced by dirSize().

KDirSize * KDirSize::dirSizeJob | ( | const KURL & | directory | ) | `[static]`

| Asynchronous method. Connect to the result signal. This one lists a single directory. Definition at line 112 of file kdirsize.cpp. Referenced by dirSize().

KDirSize * KDirSize::dirSizeJob | ( | const KFileItemList & | lstItems | ) | `[static]`

| Asynchronous method. Connect to the result signal. This one lists the items from `lstItems`. The reason we asks for items instead of just urls, is so that we directly know if the item is a file or a directory, and in case of a file, we already have its size. Definition at line 118 of file kdirsize.cpp.

KIO::filesize_t KDirSize::dirSize | ( | const KURL & | directory | ) | `[static]`

| Synchronous method - you get the result as soon as the call returns. Definition at line 124 of file kdirsize.cpp. References dirSize(), dirSizeJob(), setSync(), and totalSize(). Referenced by dirSize().

void KDirSize::slotResult | ( | KIO::Job * | job | ) | `[protected, virtual, slot]`

| Called whenever a subjob finishes. Default implementation checks for errors and propagates to parent job, then calls removeSubjob. Override if you don't want subjobs errors to be propagated. Reimplemented from KIO::Job. Definition at line 133 of file kdirsize.cpp. References QPtrList::count(), QPtrList::isEmpty(), QPtrList< Job >::remove(), and KIO::Job::slotResult().

The documentation for this class was generated from the following files:

- kdirsize.h
- kdirsize.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:16:14 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001